[arch-commits] Commit in xbl/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 21 17:12:51 EDT 2009


    Date: Tuesday, April 21, 2009 @ 17:12:51
  Author: eric
Revision: 36378

Fixed svn conflict

Modified:
  xbl/repos/extra-i686/	(properties)
  xbl/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   45 ++++++++++++++++-----------------------------
 1 file changed, 16 insertions(+), 29 deletions(-)


Property changes on: xbl/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xbl/trunk:1
   + /xbl/trunk:1-36372

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-21 21:12:01 UTC (rev 36377)
+++ extra-i686/PKGBUILD	2009-04-21 21:12:51 UTC (rev 36378)
@@ -1,40 +1,27 @@
 # $Id$
-# Maintainer: eric <eric at archlinux.org>
 # Contributor: Damir Perisa <damir.perisa at bluewin.ch>
 
 pkgname=xbl
-pkgver=1.1.3
+pkgver=1.1.5
 pkgrel=1
 pkgdesc="A 3D tetris/blockout game"
+arch=('i686' 'x86_64')
 url="http://www710.univ-lyon1.fr/ftp/xbl/xbl.html"
-source=(http://www710.univ-lyon1.fr/~exco/XBL/$pkgname-$pkgver.tar.gz)
-md5sums=('2fcada6f23e1f4bb3c4a33481bfefb80')
+license=('GPL')
 depends=('libxext')
+makedepends=('imake')
+source=(http://www710.univ-lyon1.fr/~exco/XBL/$pkgname-$pkgver.tar.gz)
+md5sums=('f618cb6fc20314683c20679d063e1b37')
 
-
 build() {
-	# obtain GID of 'users' group, otherwise baal
-	#
-	gid=`/bin/grep users /etc/group | /bin/awk -F : '{ print $3 }'`
-	if [ ! $gid ]; then
-		/bin/echo "==> ERROR: unable to determine GID of 'users' group"
-		return 1
-	fi
-
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure
-  /usr/bin/make || return 1
-  /bin/mkdir -p $startdir/pkg/usr/bin
-  /bin/mkdir -p $startdir/pkg/usr/lib/xbl
-  /bin/mkdir -p $startdir/pkg/usr/lib/X11/app-defaults
-  /bin/mkdir -p $startdir/pkg/usr/man/man1
-
-  /usr/bin/yes "" | /usr/bin/make BINDIR=$startdir/pkg/usr/bin \
-		GROUP_GID=$gid LIBDIR=$startdir/pkg/usr/lib \
-		RESOURCEDIR=$startdir/pkg/usr/lib/X11/app-defaults \
-		SCOREDIR=$startdir/pkg/usr/lib/xbl \
-		MANPATH=$startdir/pkg/usr/man install
-
-	/bin/chgrp -R users $startdir/pkg/usr/lib/xbl
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+  make || return 1
+  install -d $pkgdir/usr/bin $pkgdir/usr/lib/{xbl,X11/app-defaults}
+  install -d  $pkgdir/usr/share/man/man1
+  yes "" | make BINDIR=$pkgdir/usr/bin \
+    GROUP_GID=50 LIBDIR=$pkgdir/usr/lib \
+    RESOURCEDIR=$pkgdir/usr/lib/X11/app-defaults \
+    SCOREDIR=$pkgdir/usr/lib/xbl \
+    MANPATH=$pkgdir/usr/share/man install || return 1
 }
-# vim: ts=2 sw=2 et ft=sh



More information about the arch-commits mailing list